package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AreaCommunicationBreakProportion;
import com.lightinit.hsdatashow.entity.AreaCommunicationBreakProportionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface AreaCommunicationBreakProportionMapper {
    long countByExample(AreaCommunicationBreakProportionExample example);

    int deleteByExample(AreaCommunicationBreakProportionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AreaCommunicationBreakProportion record);

    int insertSelective(AreaCommunicationBreakProportion record);

    List<AreaCommunicationBreakProportion> selectByExample(AreaCommunicationBreakProportionExample example);

    AreaCommunicationBreakProportion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AreaCommunicationBreakProportion record, @Param("example") AreaCommunicationBreakProportionExample example);

    int updateByExample(@Param("record") AreaCommunicationBreakProportion record, @Param("example") AreaCommunicationBreakProportionExample example);

    int updateByPrimaryKeySelective(AreaCommunicationBreakProportion record);

    int updateByPrimaryKey(AreaCommunicationBreakProportion record);

    List<ChartModel> getAreaCommBreakProp();
}